# Class: ParameterMapping

## mapping.ParameterMapping(options)

Parameter Mapping. Describes an individual parameter encoded in a DICOM Parametric Map instance.

## Constructor

#### new ParameterMapping(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | ###### Properties
Name | Type | Description
--- | --- | ---
`uid` | string | Unique tracking identifier
`number` | number | Parameter Number (one-based index value)
`label` | string | Parameter Label
`description` | string | Parameter Description
`studyInstanceUID` | string | Study Instance UID of DICOM Parametric Map instances
`seriesInstanceUID` | string | Series Instance UID of DICOM Parametric Map instances
`sopInstanceUIDs` | Array.<string> | SOP Instance UIDs of DICOM Parametric Map instances
`paletteColorLookupTableUID` | string | undefined | Palette Color Lookup Table UID

Source:
  - mapping.js, line 74

### Members

#### description :string

Parameter Description

##### Type:

- string

Source:
  - mapping.js, line 174

#### label :string

Parameter Label

##### Type:

- string

Source:
  - mapping.js, line 165

#### number :number

Parameter Number

##### Type:

- number

Source:
  - mapping.js, line 156

#### paletteColorLookupTableUID :string

Palette Color Lookup Table UID.

##### Type:

- string

Source:
  - mapping.js, line 210

#### seriesInstanceUID :string

Series Instance UID of DICOM Parametric Map instances.

##### Type:

- string

Source:
  - mapping.js, line 192

#### sopInstanceUIDs :Array.<string>

SOP Instance UIDs of DICOM Parametric Map instances.

##### Type:

- Array.<string>

Source:
  - mapping.js, line 201

#### studyInstanceUID :string

Study Instance UID of DICOM Parametric Map instances.

##### Type:

- string

Source:
  - mapping.js, line 183

#### uid :string

Unique Tracking Identifier

##### Type:

- string

Source:
  - mapping.js, line 147